/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmonthlyplan.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.math.BigDecimal;

/**
 * 本月计划Entity
 * @author cyp
 * @version 2018-06-27
 */
public class WorkMonthlyPlanThis extends DataEntity<WorkMonthlyPlanThis> {
	
	private static final long serialVersionUID = 1L;
	private WorkMonthlyPlan workMonthlyPlan;		// 月计划表主键
	private String workMonthlyPlanId;
	private String workClientInfoId;		// 合同信息表主键
	private BigDecimal annualCollectionPlan;		// 年度收款计划
	private BigDecimal  beforeThisMonthMoney;		// 本月前已收款
	private BigDecimal remainingPlan;		// 剩余计划
	private BigDecimal thisMonthPlanMoney;		// 本月计划收款
	private String clientName; //委托方姓名
	private BigDecimal estimatePrice;
	private BigDecimal accumulativePrice;
	private String contractNum;
	private String contractName;
	private String contractId;
	private String planMonthly;
	private String officeName;
	@ExcelField(title="所属部门", align=2, sort=2)
	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}
	@ExcelField(title="计划月份", align=2, sort=1)
	public String getPlanMonthly() {
		return planMonthly;
	}

	public void setPlanMonthly(String planMonthly) {
		this.planMonthly = planMonthly;
	}
	@ExcelField(title="合同预计收费", align=2, sort=6)
	public BigDecimal getEstimatePrice() {
		return estimatePrice;
	}

	public void setEstimatePrice(BigDecimal estimatePrice) {
		this.estimatePrice = estimatePrice;
	}
	@ExcelField(title="合同累计收费", align=2, sort=7)
	public BigDecimal getAccumulativePrice() {
		return accumulativePrice;
	}

	public void setAccumulativePrice(BigDecimal accumulativePrice) {
		this.accumulativePrice = accumulativePrice;
	}
	@ExcelField(title="合同编号", align=2, sort=4)
	public String getContractNum() {
		return contractNum;
	}

	public void setContractNum(String contractNum) {
		this.contractNum = contractNum;
	}
	@ExcelField(title="合同名称", align=2, sort=3)
	public String getContractName() {
		return contractName;
	}

	public void setContractName(String contractName) {
		this.contractName = contractName;
	}

	@ExcelField(title="主委托方", align=2, sort=5)
	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}

	public String getWorkMonthlyPlanId() {
		return workMonthlyPlanId;
	}

	public void setWorkMonthlyPlanId(String workMonthlyPlanId) {
		this.workMonthlyPlanId = workMonthlyPlanId;
	}
	@ExcelField(title="本年度预计收费", align=2, sort=8)
	public BigDecimal getAnnualCollectionPlan() {
		return annualCollectionPlan;
	}

	public void setAnnualCollectionPlan(BigDecimal annualCollectionPlan) {
		this.annualCollectionPlan = annualCollectionPlan;
	}
	@ExcelField(title="本年度已收费", align=2, sort=9)
	public BigDecimal getBeforeThisMonthMoney() {
		return beforeThisMonthMoney;
	}

	public void setBeforeThisMonthMoney(BigDecimal beforeThisMonthMoney) {
		this.beforeThisMonthMoney = beforeThisMonthMoney;
	}

	public BigDecimal getRemainingPlan() {
		return remainingPlan;
	}

	public void setRemainingPlan(BigDecimal remainingPlan) {
		this.remainingPlan = remainingPlan;
	}
	@ExcelField(title="本月计划收费", align=2, sort=10)
	public BigDecimal getThisMonthPlanMoney() {
		return thisMonthPlanMoney;
	}

	public void setThisMonthPlanMoney(BigDecimal thisMonthPlanMoney) {
		this.thisMonthPlanMoney = thisMonthPlanMoney;
	}

	public WorkMonthlyPlanThis() {
		super();
	}

	public WorkMonthlyPlanThis(String id){
		super(id);
	}

	public WorkMonthlyPlan getWorkMonthlyPlan() {
		return workMonthlyPlan;
	}

	public void setWorkMonthlyPlan(WorkMonthlyPlan workMonthlyPlan) {
		this.workMonthlyPlan = workMonthlyPlan;
	}

	public String getWorkClientInfoId() {
		return workClientInfoId;
	}

	public void setWorkClientInfoId(String workClientInfoId) {
		this.workClientInfoId = workClientInfoId;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
}